Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Interface TransactionManager

    public interface TransactionManager

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`Transaction` | `getTransaction()`
`void` | `resume(Transaction tobj)`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int seconds)`
`Transaction` | `suspend()`

Method Detail

### begin

    void begin()
               throws NotSupportedException,
                      SystemException

  Throws:
    `NotSupportedException`
    `SystemException`

### commit

    void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       java.lang.IllegalStateException,
                       RollbackException,
                       java.lang.SecurityException,
                       SystemException

  Throws:
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `java.lang.IllegalStateException`
    `RollbackException`
    `java.lang.SecurityException`
    `SystemException`

### getStatus

    int getStatus()
                  throws SystemException

  Throws:
    `SystemException`

### getTransaction

    Transaction getTransaction()
                               throws SystemException

  Throws:
    `SystemException`

### resume

    void resume(Transaction tobj)
                throws java.lang.IllegalStateException,
                       InvalidTransactionException,
                       SystemException

  Throws:
    `java.lang.IllegalStateException`
    `InvalidTransactionException`
    `SystemException`

### rollback

    void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         SystemException

  Throws:
    `java.lang.IllegalStateException`
    `java.lang.SecurityException`
    `SystemException`

### setRollbackOnly

    void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                SystemException

  Throws:
    `java.lang.IllegalStateException`
    `SystemException`

### setTransactionTimeout

    void setTransactionTimeout(int seconds)
                               throws SystemException

  Throws:
    `SystemException`

### suspend

    Transaction suspend()
                        throws SystemException

  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.